{
  "factory": {
    "id": "abstract-aggregation-repository",
    "type": "entaxy.runtime.route.component.aggregation.repository",
    "description": "",
    "isAbstract": true,
    "parent": "abstract-route-component",
    "label": "",
    "category": ""
  },
  "entaxy.runtime.route.component.aggregation.repository": {},
  "fields": {
	"ownerId": {
      "type": "String",
      "group": "hidden",
      "required": true,
      "isHidden": true,
      "defaultValue": {
		"@CALCULATED": {
			"expression": "${#OWNER#.objectId}"		
		}
      }	
	},
    "className": {
      "type": "String",
      "group": "hidden",
      "required": true,
      "isHidden": true,
      "defaultValue": {
        "@CALCULATED": {
          "expression": "${#FACTORY#.#TYPEINFO#.className}",
          "lazy": false
        }
      }
    }
  },
  "outputs": {
  	"init": {
  		"isDefault": true,
  		"fields": {
  			"ownerId": {},
  			"className": {}
  		},
  		"config": {
  			"configurable": false,
  			"@SKIP_PUBLISH": {},
  			"@SKIP_VAULTS_LOOKUP": ""
  		},
  		"scopes": ["private"]
  	},
  	"bean": {
  		"isDefault": false,
  		"fields": {},
  		"config": {
  			"configurable": false,
  			"@SKIP_PUBLISH": {},
  			"@SKIP_PROVIDE": {}
  		}
  	}
  }
}